Cart New Account Login

HomeAbout usProductsSupportForumsBlogCustomer Service

search inside this forum
Version icd32z with Multilink Universal Fx
Cristina G. Oct 7, 2014 at 11:14 AM (11:14 hours)
Staff: Keith M.

  • I've just bought a multilink Universal Fx because my old usb cpu16/32 Multilink was broken. My Icd32z versión is 1.62. Can anyone tell me wich is the correct versión to work with the new multilink universal Fx?




    Comments

    • Hello Cristina,

      The Multilink Universal FX requires ICD32Z v1.68 and higher to be compatible.

      http://www.pemicro.com/products/fx_software.cfm

      The recently launched Rev. C of the Multilink Universal FX is also going to require ICD32Z v.5.10 or later in order to enable automatic firmware updates during operation (the current version of ICD32Z is 5.13.02.00).

      If you would like to update your software to the current version, please contact sales-info (at) pemicro (dot) com to see if you are eligible for a discount.

      Thank you,
      Keith

  • Correction - it should read "Rev. B of the recently launched Multilink Universal FX"

Add comment


   Want to comment? Please login or create a new PEMicro account.







© 2017 P&E Microcomputer Systems Inc.
Website Terms of Use and Sales Agreement